> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Group

> Please note, the Groups endpoint requires an OAuth application (i.e. approved 3rd party partners), as the end point is intended for mapping third-party application “Groups” within Rippling organizations.



## OpenAPI

````yaml get /platform/api/groups/{groupId}
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/groups/{groupId}:
    parameters:
      - name: groupId
        in: path
        description: Unique identifier for the group within Rippling.
        schema:
          type: integer
        required: true
    get:
      tags:
        - F. Groups
      summary: GET Group
      description: >-
        Please note, the Groups endpoint requires an OAuth application (i.e.
        approved 3rd party partners), as the end point is intended for mapping
        third-party application “Groups” within Rippling organizations.
      operationId: get-groups-groupId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
              examples:
                Success:
                  value:
                    id: 5f397f3b3ca04e478d4575ad
                    spokeId: lkjwbfskjsdbllskdb
                    name: GroupTest
                    users: []
                    version: yvmzhfw50hn39aas
      security:
        - Token: []
components:
  schemas:
    Group:
      title: Group
      type: object
      x-tags:
        - Models
      x-examples:
        Group:
          id: 5f397f3b3ca04e478d4575ad
          spokeId: lkjwbfskjsdbllskdb
          name: GroupTest4
          users:
            - 5c8f7f06c592917aeee1ea9f
          version: uu8ccavwbsb8stfn
      properties:
        name:
          type: string
          description: User-readable name of a Rippling group.
        id:
          type: string
        spokeId:
          type: string
          nullable: true
          description: Your id for the group; this should a unique string identifier.
        version:
          type: string
          description: The version unique identifier of the group.
        users:
          type: array
          description: An array of employee Rippling ids.
          items:
            type: string
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````